Joysticks_C Automatic

Description

This automatic monitors the camera joystick overpress contacts, routeing either a default video source or the camera source associated with the leftmost active joystick to the defined vision monitor position. The default source id is set when there are no joysticks pressed and the SDI source to the monitoring destination is changed, or at automatic start-up with no joysticks pressed.

When this automatic was created, Studio C operated as a standard-definition area, with ten camera base stations in the Central Technical Area (CTA). The CCUs are shared with Studio A. Up to six CCU outputs may be routed to the vision matrix in Studio C. The user is responsible for setting the camera address switch in the joystick hardware panel to match the CCU being controlled.

There is a mimic panel, screen size 800 by 600 pels, used with the automatic. An example of the mimic panel is shown near the top of this help page. The six coloured boxes at the top of the mimic show the reported state of the joysticks. When multiple joysticks are pressed (eg because the vision control operator needs to check the relative exposure of cameras 4 and 5) the source video routed to the monitor is that from the leftmost joystick.

The white edged blue panel in the mimic has various elements of status data, some read from instances.xml during startup, and some that result from revertives (eg current SDI source numbers and names). The id name for the items read from instance are:

Name | Information
StC_Vision_Check | BNCS driver ID for SDI router and destination switched by this module.
Studio C Camera 1 Joystick | BNCS driver ID for GPI interface, and input GPI ID for camera 1.
Studio C Camera 2 Joystick | Input GPI ID for camera 2.
Studio C Camera 3 Joystick | Input GPI ID for camera 3.
Studio C Camera 4 Joystick | Input GPI ID for camera 4.
Studio C Camera 5 Joystick | Input GPI ID for camera 5.
Studio C Camera 6 Joystick | Input GPI ID for camera 6.
StC Camera 1 In | CCU n/Camera 1 SDI input to Studio C Router.
StC Camera 2 In | CCU n/Camera 1 SDI input to Studio C Router.
StC Camera 3 In | CCU n/Camera 3 SDI input to Studio C Router.
StC Camera 4 In | CCU n/Camera 4 SDI input to Studio C Router.
StC Camera 5 In | CCU n/Camera 5 SDI input to Studio C Router.
StC Camera 6 In | CCU n/Camera 6 SDI input to Studio C Router.

A common allocation of CCU to Studio A and Studio C is to have CCU 1 to CCU 5 routed to Studio A, and CCU 6 to CCU 10 routed to Studio C where they operate as cameras 1 to 5. The sixth route carries a test signal, typically PLUGE, instead of camera 6 thus enabling a simple check on vision monitor black level setting.

The final, white, box may display status or error reports during the panel power up.

Stylesheets

Name | Use
WN_GPI_Green | Sets colours of the joystick mimic buttons when joystick is not pressed.
WN_GPI_Red | Sets colours of the joystick mimic buttons when joystick is pressed.

Developers Notes

Optional section - put something interesting here. Well, it may not be interesting to all but....
Extensive comments are present in the C++ .ad .h files. Refer to these if this automatic needs modification, and please update both the comments and this help file.
Copyright BBC 2017